#ifndef _CJK_H
#define _CJK_H

#include "nano-X.h"

#define EN_ENCODE	0
#define GB_ENCODE	1
#define BIG5_ENCODE	2
#define JIS_ENCODE	3
#define KS_ENCODE	4

#define EN_LOCALE	"en"
#define GB_LOCALE	"zh_CN"
#define BIG5_LOCALE	"zh_TW"
#define JIS_LOCALE	"ja"
#define KS_LOCALE	"ko"

#if HAVE_CJK_SUPPORT
extern PMWFONT g_cjkpfont;
#endif

void set_cjk_encoding(int encoding);
int get_cjk_encoding();
int get_cjk_default_font_size();


int is_cjk_char(unsigned char c0, unsigned char c1);
int is_cjk_char_fb(unsigned char ch);

/* Chinese (GB) */
int is_gb_char(unsigned char c0, unsigned char c1);
int is_gb_char_fb(unsigned char ch);

/* Chinese (BIG5) */
int is_big5_char(unsigned char c0, unsigned char c1);
int is_big5_char_fb(unsigned char ch);

/* Japanese */
int is_jis_char(unsigned char c0, unsigned char c1);
int is_jis_char_fb(unsigned char ch);

/* Korean */
int is_ks_char(unsigned char c0, unsigned char c1);
int is_ks_char_fb(unsigned char ch);

#endif /* _CJK_H */
